"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteElasticsearchDomain_1 = require("../model/operations/DeleteElasticsearchDomain");
class DeleteElasticsearchDomainCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteElasticsearchDomain_1.DeleteElasticsearchDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteElasticsearchDomainCommand = DeleteElasticsearchDomainCommand;
//# sourceMappingURL=DeleteElasticsearchDomainCommand.js.map