"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeElasticsearchDomains_1 = require("../model/operations/DescribeElasticsearchDomains");
class DescribeElasticsearchDomainsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeElasticsearchDomains_1.DescribeElasticsearchDomains;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeElasticsearchDomainsCommand = DescribeElasticsearchDomainsCommand;
//# sourceMappingURL=DescribeElasticsearchDomainsCommand.js.map