"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListDomainNames_1 = require("../model/operations/ListDomainNames");
class ListDomainNamesCommand {
    constructor(input) {
        this.input = input;
        this.model = ListDomainNames_1.ListDomainNames;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListDomainNamesCommand = ListDomainNamesCommand;
//# sourceMappingURL=ListDomainNamesCommand.js.map