"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateElasticsearchDomainConfig_1 = require("../model/operations/UpdateElasticsearchDomainConfig");
class UpdateElasticsearchDomainConfigCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateElasticsearchDomainConfig_1.UpdateElasticsearchDomainConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateElasticsearchDomainConfigCommand = UpdateElasticsearchDomainConfigCommand;
//# sourceMappingURL=UpdateElasticsearchDomainConfigCommand.js.map