import { _OptionStatus, _UnmarshalledOptionStatus } from "./_OptionStatus";
/**
 * <p>The configured access rules for the domain's document and search endpoints, and the current status of those rules.</p>
 */
export interface _AccessPoliciesStatus {
    /**
     * <p>The access policy configured for the Elasticsearch domain. Access policies may be resource-based, IP-based, or IAM-based. See <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-createupdatedomains.html#es-createdomain-configure-access-policies" target="_blank"> Configuring Access Policies</a>for more information.</p>
     */
    Options: string;
    /**
     * <p>The status of the access policy for the Elasticsearch domain. See <code>OptionStatus</code> for the status information that's included. </p>
     */
    Status: _OptionStatus;
}
export interface _UnmarshalledAccessPoliciesStatus extends _AccessPoliciesStatus {
    /**
     * <p>The status of the access policy for the Elasticsearch domain. See <code>OptionStatus</code> for the status information that's included. </p>
     */
    Status: _UnmarshalledOptionStatus;
}
